Bug 1123953 - Mirage does not start
Summary: Mirage does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 17:48 UTC by Ryan Lerch
Modified: 2015-12-02 16:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:19:09 UTC


Attachments (Terms of Use)

Description Ryan Lerch 2014-07-28 17:48:25 UTC
mirage on fedora 21 fails to start, returning the following to the terminal:

$ mirage 
/usr/lib64/python2.7/site-packages/mirage.py:608: Warning: The property GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.window.set_property('allow-shrink', False)
Attempt to unlock mutex that was not locked
Aborted (core dumped)


Using package
mirage-0.9.5.2-6.fc21.x86_64

Comment 1 Steven Usdansky 2014-08-01 14:12:28 UTC
Seeing the exact same thing. F21 updated 2014-08-01

However, if I copy /usr/lib64/python2.7/site-packages$ cp mirage.py to the desktop and run it from there, it appears to work properly (have not fully tested)

Comment 2 Mamoru TASAKA 2014-08-04 00:22:07 UTC
(In reply to Steven Usdansky from comment #1)
> Seeing the exact same thing. F21 updated 2014-08-01

"The same thing" means that you are seeing the exactly same messages on the terminal as written on the comment 0? If so, would you attach strace log?

Comment 3 Steven Usdansky 2014-08-09 13:30:56 UTC
Found the following:
https://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg4458610.html
and followed the link to the fix. The file ~/bin/mirage3 is the mirage.py file included in mirage-0.9.5.2-6.fc21.x86_64


~/bin$ diff mirage3 /usr/lib64/python2.7/site-packages/mirage.py
74c74,76
<     gtk.gdk.threads_init()
---
>     ### 20140809 RockDoctor Using fix suggested in link in:
>     ### https://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg4458610.html
>     ### gtk.gdk.threads_init()

Comment 4 Mamoru TASAKA 2014-08-12 08:32:05 UTC
Well, while I think I can fix this issue on mirage side, probably fixing
pygtk2 side so that calling gtk.gdk.threads_init() does not raise this
issue. Only:

#/usr/bin/python
import gtk2
gtk.gdk.threads_init()

raise this issue. Once changing to pygtk2.

Comment 5 Mamoru TASAKA 2014-08-12 08:32:56 UTC
(In reply to Mamoru TASAKA from comment #4)
>  probably fixing
> pygtk2 side so that calling gtk.gdk.threads_init() does not raise this
> issue

will be preferable.

Comment 6 Mamoru TASAKA 2014-08-12 09:19:22 UTC
(In reply to Steven Usdansky from comment #3)
> Found the following:
> https://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg4458610.html
> and followed the link to the fix. The file ~/bin/mirage3 is the mirage.py
> file included in mirage-0.9.5.2-6.fc21.x86_64
> 
> 
> ~/bin$ diff mirage3 /usr/lib64/python2.7/site-packages/mirage.py
> 74c74,76
> <     gtk.gdk.threads_init()
> ---
> >     ### 20140809 RockDoctor Using fix suggested in link in:
> >     ### https://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg4458610.html
> >     ### gtk.gdk.threads_init()

Anyway applied this (with a bit modified) in mirage-0.9.5.2-7.fc21,
thank you for info.

Comment 7 Fedora Admin XMLRPC Client 2014-12-06 15:43:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2014-12-06 17:17:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora End Of Life 2015-11-04 14:46:57 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-12-02 03:19:12 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.